# Command: readline

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    readline - read and edit a line from standard input

Synopsis:

    any readline -> any true
      -> false

Description:

    readline takes anything from the prompt as a string and prints it.
      If something is added, readline pushes the additional phrase as string
      plus a true on the stack (that means readline reads a line from
      standard input). If nothing is added false is pushed.

Author:

    docu by Sirko Straube

SeeAlso:

- GNUreadline

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative